CNVKIT_CALL(1)

NAME
cnvkit_call - Call copy number variants from segmented log2 ratios.

DESCRIPTION
usage: cnvkit.py call [-h] [--center [{mean,median,mode,biweight}]]

[--center-at CENTER_AT] [--filter {ampdel,cn,ci,sem}]
    [-m {threshold,clonal,none}] [-t THRESHOLDS] [--ploidy PLOIDY] [--purity PURITY] [--drop-low-coverage] [-x {m,y,male,Male,f,x,female,Female}] [-y] [-o FILENAME] [-v FILENAME] [-i SAMPLE_ID] [-n NORMAL_ID] [--min-variant-depth MIN_VARIANT_DEPTH] [-z [ALT_FREQ]] filename

  positional arguments:

filename
    Copy ratios (.cnr or .cns).

  options:

-h, --help
    show this help message and exit

--center [{mean,median,mode,biweight}]
    Re-center the log2 ratio values using this estimator of the center or average value. ('median' if no argument given.)

--center-at CENTER_AT
    Subtract a constant number from all log2 ratios. For "manual" re-centering, in case the --center option gives unsatisfactory results.)

--filter {ampdel,cn,ci,sem}
    Merge segments flagged by the specified filter(s) with the adjacent segment(s).

-m {threshold,clonal,none}, --method {threshold,clonal,none}
    Calling method. [Default: threshold]

-t THRESHOLDS, --thresholds THRESHOLDS
    Hard thresholds for calling each integer copy number, separated by commas. Use the '=' sign on the command line, e.g.: -t=-1,0,1 [Default: -1.1,-0.25,0.2,0.7]

--ploidy PLOIDY
    Ploidy of the sample cells. [Default: 2]

--purity PURITY
    Estimated tumor cell fraction, a.k.a. purity or cellularity.

--drop-low-coverage
    Drop very-low-coverage bins before segmentation to avoid false-positive deletions in poor-quality tumor samples.

-x {m,y,male,Male,f,x,female,Female}, --sample-sex {m,y,male,Male,f,x,female,Female}, -g {m,y,male,Male,f,x,female,Female}, --gender {m,y,male,Male,f,x,female,Female}
    Specify the sample's chromosomal sex as male or female. (Otherwise guessed from X and Y coverage).

-y, --male-reference, --haploid-x-reference
    Was a male reference used? If so, expect half ploidy on chrX and chrY; otherwise, only chrY has half ploidy. In CNVkit, if a male reference was used, the "neutral" copy number (ploidy) of chrX is 1; chrY is haploid for either reference sex.

-o FILENAME, --output FILENAME
    Output table file name (CNR-like table of segments, .cns).

  To additionally process SNP b-allele frequencies for allelic copy number:

-v FILENAME, --vcf FILENAME
    VCF file name containing variants for calculation of b-allele frequencies.

-i SAMPLE_ID, --sample-id SAMPLE_ID
    Name of the sample in the VCF (-v/--vcf) to use for b-allele frequency extraction.

-n NORMAL_ID, --normal-id NORMAL_ID
    Corresponding normal sample ID in the input VCF (-v/--vcf). This sample is used to select only germline SNVs to calculate b-allele frequencies.

--min-variant-depth MIN_VARIANT_DEPTH
    Minimum read depth for a SNV to be used in the b-allele frequency calculation. [Default: 20]

-z [ALT_FREQ], --zygosity-freq [ALT_FREQ]
    Ignore VCF's genotypes (GT field) and instead infer zygosity from allele frequencies. [Default if used without a number: 0.25]